summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2016-03-23 14:31:09 -0400
committerDan Radez <dradez@redhat.com>2016-03-24 21:47:25 -0400
commit012f1d08b075ec53d3b1174cfd7a93b246385d08 (patch)
treea4ea79ed5356fba2ce5cd417048fece5cd610918
parent5f38edb9a96df7d5927d9b91039144bf4d5f0912 (diff)
Renaming Instack to Undercloud
This commit is not backwards compatible with cleaning. VMs named Instack will need to be manually removed. Change-Id: I6829119e43a0a572da07e6d9757c5208c7fe91d4
-rw-r--r--build/opnfv-apex-undercloud.spec4
-rwxr-xr-xci/clean.sh25
-rwxr-xr-xci/deploy.sh106
-rw-r--r--docs/installation-instructions/architecture.rst6
-rw-r--r--docs/installation-instructions/baremetal.rst20
-rw-r--r--docs/installation-instructions/introduction.rst2
-rw-r--r--docs/installation-instructions/verification.rst14
-rw-r--r--docs/installation-instructions/virtualinstall.rst8
-rw-r--r--lib/common-functions.sh6
-rw-r--r--lib/installer/onos/onos_gw_mac_update.sh4
10 files changed, 99 insertions, 96 deletions
diff --git a/build/opnfv-apex-undercloud.spec b/build/opnfv-apex-undercloud.spec
index 5f093c63..9477551b 100644
--- a/build/opnfv-apex-undercloud.spec
+++ b/build/opnfv-apex-undercloud.spec
@@ -1,7 +1,7 @@
Name: opnfv-apex-undercloud
Version: 2.1
Release: %{release}
-Summary: Scripts and Disk images to launch Instack Undercloud for OPNFV Apex
+Summary: Scripts and Disk images to launch the Undercloud for OPNFV Apex
Group: System Environment
License: Apache 2.0
@@ -13,7 +13,7 @@ BuildRequires: openvswitch libvirt qemu-kvm python-docutils
Requires: openvswitch libvirt qemu-kvm bridge-utils libguestfs-tools
%description
-Scripts and Disk images to launch Instack Undercloud for OPNFV Apex
+Scripts and Disk images to launch the Undercloud for OPNFV Apex
https://wiki.opnfv.org/apex
%prep
diff --git a/ci/clean.sh b/ci/clean.sh
index c031e5e4..40ae6edd 100755
--- a/ci/clean.sh
+++ b/ci/clean.sh
@@ -18,17 +18,20 @@ source $CONFIG/lib/common-functions.sh
vm_index=4
ovs_bridges="br-admin br-private br-public br-storage"
-# Clean off instack VM
-virsh destroy instack 2> /dev/null || echo -n ''
-virsh undefine instack 2> /dev/null || echo -n ''
-if ! virsh vol-delete instack.qcow2 --pool default 2> /dev/null; then
- if [ ! -e /var/lib/libvirt/images/instack.qcow2 ]; then
- /usr/bin/touch /var/lib/libvirt/images/instack.qcow2
- virsh vol-delete instack.qcow2 --pool default
- fi
-fi
-rm -f /var/lib/libvirt/images/instack.qcow2 2> /dev/null
+# Clean off instack/undercloud VM
+for vm in instack undercloud; do
+ virsh destroy $vm 2> /dev/null || echo -n ''
+ virsh undefine $vm 2> /dev/null || echo -n ''
+ if ! virsh vol-delete ${vm}.qcow2 --pool default 2> /dev/null; then
+ if [ ! -e /var/lib/libvirt/images/${vm}.qcow2 ]; then
+ /usr/bin/touch /var/lib/libvirt/images/${vm}.qcow2
+ virsh vol-delete ${vm}.qcow2 --pool default
+ fi
+ fi
+done
+
+rm -f /var/lib/libvirt/images/undercloud.qcow2 2> /dev/null
# Clean off baremetal VMs in case they exist
for i in $(seq 0 $vm_index); do
@@ -49,7 +52,7 @@ for bridge in ${ovs_bridges}; do
done
# clean pub keys from root's auth keys
-sed -i '/stack@instack.localdomain/d' /root/.ssh/authorized_keys
+sed -i '/stack@undercloud.localdomain/d' /root/.ssh/authorized_keys
sed -i '/virtual-power-key/d' /root/.ssh/authorized_keys
diff --git a/ci/deploy.sh b/ci/deploy.sh
index f08ce524..47ab59c1 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -298,7 +298,7 @@ parse_inventory_file() {
exit 1
}
- instack_env_output="
+ instackenv_output="
{
\"nodes\" : [
@@ -321,23 +321,23 @@ parse_inventory_file() {
\"pm_addr\": \"$(eval echo \${${node}ipmi_ip})\",
\"capabilities\": \"$(eval echo \${${node}capabilities})\"
"
- instack_env_output+=${node_output}
+ instackenv_output+=${node_output}
if [ $node_count -lt $node_total ]; then
- instack_env_output+=" },"
+ instackenv_output+=" },"
else
- instack_env_output+=" }"
+ instackenv_output+=" }"
fi
done
- instack_env_output+='
+ instackenv_output+='
]
}
'
#Copy instackenv.json to undercloud for baremetal
- echo -e "{blue}Parsed instackenv JSON:\n${instack_env_output}${reset}"
+ echo -e "{blue}Parsed instackenv JSON:\n${instackenv_output}${reset}"
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
cat > instackenv.json << EOF
-$instack_env_output
+$instackenv_output
EOF
EOI
@@ -388,7 +388,7 @@ function configure_deps {
if [[ "$net_isolation_enabled" == "FALSE" ]]; then
virsh_enabled_networks="admin_network"
enabled_network_list="admin_network"
- # For baremetal we only need to create/attach instack to admin and public
+ # For baremetal we only need to create/attach Undercloud to admin and public
elif [ "$virtual" == "FALSE" ]; then
virsh_enabled_networks="admin_network public_network"
else
@@ -475,13 +475,13 @@ Are you sure you have enabled vmx in your bios or hypervisor?${reset}"
##verify vm exists, an has a dhcp lease assigned to it
##params: none
-function setup_instack_vm {
- if ! virsh list --all | grep instack > /dev/null; then
+function setup_undercloud_vm {
+ if ! virsh list --all | grep undercloud > /dev/null; then
undercloud_nets="default admin_network"
if [[ $enabled_network_list =~ "public_network" ]]; then
undercloud_nets+=" public_network"
fi
- define_vm instack hd 30 "$undercloud_nets"
+ define_vm undercloud hd 30 "$undercloud_nets"
### this doesn't work for some reason I was getting hangup events so using cp instead
#virsh vol-upload --pool default --vol undercloud.qcow2 --file $CONFIG/stack/undercloud.qcow2
@@ -492,71 +492,71 @@ function setup_instack_vm {
#error: internal error: received hangup / error event on socket
#error: Reconnected to the hypervisor
- local instack_dst=/var/lib/libvirt/images/instack.qcow2
- cp -f $RESOURCES/undercloud.qcow2 $instack_dst
-
- # resize instack machine
- echo "Checking if instack needs to be resized..."
- instack_size=$(LIBGUESTFS_BACKEND=direct virt-filesystems --long -h --all -a $instack_dst |grep device | grep -Eo "[0-9\.]+G" | sed -n 's/\([0-9][0-9]*\).*/\1/p')
- if [ "$instack_size" -lt 30 ]; then
- qemu-img resize /var/lib/libvirt/images/instack.qcow2 +25G
- LIBGUESTFS_BACKEND=direct virt-resize --expand /dev/sda1 $RESOURCES/undercloud.qcow2 $instack_dst
- LIBGUESTFS_BACKEND=direct virt-customize -a $instack_dst --run-command 'xfs_growfs -d /dev/sda1 || true'
- new_size=$(LIBGUESTFS_BACKEND=direct virt-filesystems --long -h --all -a $instack_dst |grep filesystem | grep -Eo "[0-9\.]+G" | sed -n 's/\([0-9][0-9]*\).*/\1/p')
+ local undercloud_dst=/var/lib/libvirt/images/undercloud.qcow2
+ cp -f $RESOURCES/undercloud.qcow2 $undercloud_dst
+
+ # resize Undercloud machine
+ echo "Checking if Undercloud needs to be resized..."
+ undercloud_size=$(LIBGUESTFS_BACKEND=direct virt-filesystems --long -h --all -a $undercloud_dst |grep device | grep -Eo "[0-9\.]+G" | sed -n 's/\([0-9][0-9]*\).*/\1/p')
+ if [ "$undercloud_size" -lt 30 ]; then
+ qemu-img resize /var/lib/libvirt/images/undercloud.qcow2 +25G
+ LIBGUESTFS_BACKEND=direct virt-resize --expand /dev/sda1 $RESOURCES/undercloud.qcow2 $undercloud_dst
+ LIBGUESTFS_BACKEND=direct virt-customize -a $undercloud_dst --run-command 'xfs_growfs -d /dev/sda1 || true'
+ new_size=$(LIBGUESTFS_BACKEND=direct virt-filesystems --long -h --all -a $undercloud_dst |grep filesystem | grep -Eo "[0-9\.]+G" | sed -n 's/\([0-9][0-9]*\).*/\1/p')
if [ "$new_size" -lt 30 ]; then
- echo "Error resizing instack machine, disk size is ${new_size}"
+ echo "Error resizing Undercloud machine, disk size is ${new_size}"
exit 1
else
- echo "instack successfully resized"
+ echo "Undercloud successfully resized"
fi
else
- echo "skipped instack resize, upstream is large enough"
+ echo "Skipped Undercloud resize, upstream is large enough"
fi
else
- echo "Found Instack VM, using existing VM"
+ echo "Found Undercloud VM, using existing VM"
fi
# if the VM is not running update the authkeys and start it
- if ! virsh list | grep instack > /dev/null; then
- echo "Injecting ssh key to instack VM"
- LIBGUESTFS_BACKEND=direct virt-customize -a $instack_dst --run-command "mkdir -p /root/.ssh/" \
+ if ! virsh list | grep undercloud > /dev/null; then
+ echo "Injecting ssh key to Undercloud VM"
+ LIBGUESTFS_BACKEND=direct virt-customize -a $undercloud_dst --run-command "mkdir -p /root/.ssh/" \
--upload ~/.ssh/id_rsa.pub:/root/.ssh/authorized_keys \
--run-command "chmod 600 /root/.ssh/authorized_keys && restorecon /root/.ssh/authorized_keys" \
--run-command "cp /root/.ssh/authorized_keys /home/stack/.ssh/" \
--run-command "chown stack:stack /home/stack/.ssh/authorized_keys && chmod 600 /home/stack/.ssh/authorized_keys"
- virsh start instack
+ virsh start undercloud
fi
- sleep 10 # let instack get started up
+ sleep 10 # let undercloud get started up
- # get the instack VM IP
+ # get the undercloud VM IP
CNT=10
- echo -n "${blue}Waiting for instack's dhcp address${reset}"
- instack_mac=$(virsh domiflist instack | grep default | awk '{ print $5 }')
- while ! $(arp -e | grep ${instack_mac} > /dev/null) && [ $CNT -gt 0 ]; do
+ echo -n "${blue}Waiting for Undercloud's dhcp address${reset}"
+ undercloud_mac=$(virsh domiflist undercloud | grep default | awk '{ print $5 }')
+ while ! $(arp -e | grep ${undercloud_mac} > /dev/null) && [ $CNT -gt 0 ]; do
echo -n "."
sleep 10
CNT=$((CNT-1))
done
- UNDERCLOUD=$(arp -e | grep ${instack_mac} | awk {'print $1'})
+ UNDERCLOUD=$(arp -e | grep ${undercloud_mac} | awk {'print $1'})
if [ -z "$UNDERCLOUD" ]; then
- echo "\n\nCan't get IP for Instack. Can Not Continue."
+ echo "\n\nCan't get IP for Undercloud. Can Not Continue."
exit 1
else
- echo -e "${blue}\rInstack VM has IP $UNDERCLOUD${reset}"
+ echo -e "${blue}\rUndercloud VM has IP $UNDERCLOUD${reset}"
fi
CNT=10
- echo -en "${blue}\rValidating instack VM connectivity${reset}"
+ echo -en "${blue}\rValidating Undercloud VM connectivity${reset}"
while ! ping -c 1 $UNDERCLOUD > /dev/null && [ $CNT -gt 0 ]; do
echo -n "."
sleep 3
CNT=$((CNT-1))
done
if [ "$CNT" -eq 0 ]; then
- echo "Failed to contact Instack. Can Not Continue"
+ echo "Failed to contact Undercloud. Can Not Continue"
exit 1
fi
CNT=10
@@ -566,7 +566,7 @@ function setup_instack_vm {
CNT=$((CNT-1))
done
if [ "$CNT" -eq 0 ]; then
- echo "Failed to connect to Instack. Can Not Continue"
+ echo "Failed to connect to Undercloud. Can Not Continue"
exit 1
fi
@@ -641,7 +641,7 @@ EOF
##Create virtual nodes in virsh
##params: name - String: libvirt name for VM
## bootdev - String: boot device for the VM
-## disksize - Number: size of the disk in Gig
+## disksize - Number: size of the disk in GB
## ovs_bridges: - List: list of ovs bridges
function define_vm () {
# Create the libvirt storage volume
@@ -724,12 +724,12 @@ function configure_network_environment {
sed -i 's#^.*Compute::Net::SoftwareConfig:.*$# OS::TripleO::Compute::Net::SoftwareConfig: nics/compute'${nic_ext}'.yaml#' $1
}
-##Copy over the glance images and instack json file
+##Copy over the glance images and instackenv json file
##params: none
function configure_undercloud {
echo
- echo "Copying configuration files to instack"
+ echo "Copying configuration files to Undercloud"
if [[ "$net_isolation_enabled" == "TRUE" ]]; then
configure_network_environment $CONFIG/network-environment.yaml
echo -e "${blue}Network Environment set for Deployment: ${reset}"
@@ -738,20 +738,20 @@ function configure_undercloud {
fi
scp ${SSH_OPTIONS[@]} -r $CONFIG/nics/ "stack@$UNDERCLOUD":
- # ensure stack user on instack machine has an ssh key
+ # ensure stack user on Undercloud machine has an ssh key
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" "if [ ! -e ~/.ssh/id_rsa.pub ]; then ssh-keygen -t rsa -N '' -f ~/.ssh/id_rsa; fi"
if [ "$virtual" == "TRUE" ]; then
- # copy the instack vm's stack user's pub key to
- # root's auth keys so that instack can control
+ # copy the Undercloud VM's stack user's pub key to
+ # root's auth keys so that Undercloud can control
# vm power on the hypervisor
ssh ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" "cat /home/stack/.ssh/id_rsa.pub" >> /root/.ssh/authorized_keys
DEPLOY_OPTIONS+=" --libvirt-type qemu"
INSTACKENV=$CONFIG/instackenv-virt.json
- # upload instackenv file to Instack for virtual deployment
+ # upload instackenv file to Undercloud for virtual deployment
scp ${SSH_OPTIONS[@]} $INSTACKENV "stack@$UNDERCLOUD":instackenv.json
fi
@@ -775,7 +775,7 @@ EOI
# configure undercloud on Undercloud VM
echo "Running undercloud configuration."
- echo "Logging undercloud configuration to instack:/home/stack/apex-undercloud-install.log"
+ echo "Logging undercloud configuration to undercloud:/home/stack/apex-undercloud-install.log"
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" << EOI
if [[ "$net_isolation_enabled" == "TRUE" ]]; then
sed -i 's/#local_ip/local_ip/' undercloud.conf
@@ -877,7 +877,7 @@ function undercloud_prep_overcloud_deploy {
exit 1
fi
- echo "Copying overcloud image to instack"
+ echo "Copying overcloud image to Undercloud"
scp ${SSH_OPTIONS[@]} $RESOURCES/overcloud-full-${SDN_IMAGE}.qcow2 "stack@$UNDERCLOUD":overcloud-full.qcow2
# make sure ceph is installed
@@ -1023,13 +1023,13 @@ EOI
fi
done
- # for virtual, we NAT public network through instack
+ # for virtual, we NAT public network through Undercloud
if [ "$virtual" == "TRUE" ]; then
if ! configure_undercloud_nat ${public_network_cidr}; then
echo -e "${red}ERROR: Unable to NAT undercloud with external net: ${public_network_cidr}${reset}"
exit 1
else
- echo -e "${blue}INFO: Undercloud (instack VM) has been setup to NAT Overcloud public network${reset}"
+ echo -e "${blue}INFO: Undercloud VM has been setup to NAT Overcloud public network${reset}"
fi
fi
@@ -1236,7 +1236,7 @@ main() {
if [ -n "$DEPLOY_SETTINGS_FILE" ]; then
parse_deploy_settings
fi
- setup_instack_vm
+ setup_undercloud_vm
if [ "$virtual" == "TRUE" ]; then
setup_virtual_baremetal
elif [ -n "$INVENTORY_FILE" ]; then
diff --git a/docs/installation-instructions/architecture.rst b/docs/installation-instructions/architecture.rst
index 33b96bd0..f38afcc9 100644
--- a/docs/installation-instructions/architecture.rst
+++ b/docs/installation-instructions/architecture.rst
@@ -16,9 +16,9 @@ deploy the overcloud.
The undercloud is the all-in-one installation of OpenStack that includes
baremetal provisioning. RDO Manager's deployment of the undercloud is
-call Instack. Instack will be deployed as a virtual machine on a jumphost.
+call Undercloud. Undercloud will be deployed as a virtual machine on a jumphost.
This VM is pre-built and distributed as part of the Apex RPM.
-The overcloud is OPNFV. Configuration will be passed into Instack and
-Instack will use OpenStack's orchestration component call Heat to
+The overcloud is OPNFV. Configuration will be passed into Undercloud and
+Undercloud will use OpenStack's orchestration component call Heat to
execute a deployment will provision the target nodes to become OPNFV.
diff --git a/docs/installation-instructions/baremetal.rst b/docs/installation-instructions/baremetal.rst
index a4a05094..af4ced11 100644
--- a/docs/installation-instructions/baremetal.rst
+++ b/docs/installation-instructions/baremetal.rst
@@ -14,27 +14,27 @@ The Jumphost can be installed using the bootable ISO or by other means including
configured with an IP gateway on its admin or public interface and configured with a
working DNS server. The Jumphost should also have routable access to the lights out network.
-``opnfv-deploy`` is then executed in order to deploy the Instack VM. ``opnfv-deploy`` uses
+``opnfv-deploy`` is then executed in order to deploy the Undercloud VM. ``opnfv-deploy`` uses
three configuration files in order to know how to install and provision the OPNFV target system.
The information gathered under section `Execution Requirements (Bare Metal Only)`_ is put
into the YAML file (``/etc/opnfv-apex/inventory.yaml``) configuration file. Deployment
options are put into the YAML file (``/etc/opnfv-apex/deploy_settings.yaml``). Networking
definitions gathered under section `Network Requirements`_ are put into the YAML file
-(``/etc/opnfv-apex/network_settings.yaml``). ``opnfv-deploy`` will boot the Instack VM
+(``/etc/opnfv-apex/network_settings.yaml``). ``opnfv-deploy`` will boot the Undercloud VM
and load the target deployment configuration into the provisioning toolchain. This includes
MAC address, IPMI, Networking Environment and OPNFV deployment options.
-Once configuration is loaded and Instack is configured it will then reboot the nodes via IPMI.
+Once configuration is loaded and Undercloud is configured it will then reboot the nodes via IPMI.
The nodes should already be set to PXE boot first off the admin interface. The nodes will
-first PXE off of the Instack PXE server and go through a discovery/introspection process.
+first PXE off of the Undercloud PXE server and go through a discovery/introspection process.
Introspection boots off of custom introspection PXE images. These images are designed to look
at the properties of the hardware that is booting off of them and report the properties of
-it back to the Instack node.
+it back to the Undercloud node.
-After introspection Instack will execute a Heat Stack Deployment to being node provisioning
-and configuration. The nodes will reboot and PXE again off the Instack PXE server to
-provision each node using the Glance disk images provided by Instack. These disk images
+After introspection Undercloud will execute a Heat Stack Deployment to being node provisioning
+and configuration. The nodes will reboot and PXE again off the Undercloud PXE server to
+provision each node using the Glance disk images provided by Undercloud These disk images
include all the necessary packages and configuration for an OPNFV deployment to execute.
Once the node's disk images have been written to disk the nodes will boot off the newly written
disks and execute cloud-init which will execute the final node configuration. This
@@ -44,7 +44,7 @@ Installation High-Level Overview - VM Deployment
================================================
The VM nodes deployment operates almost the same way as the bare metal deployment with a
-few differences. ``opnfv-deploy`` still deploys an Instack VM. In addition to the Instack VM
+few differences. ``opnfv-deploy`` still deploys an Undercloud VM. In addition to the Undercloud VM
a collection of VMs (3 control nodes + 2 compute for an HA deployment or 1 control node and
1 compute node for a Non-HA Deployment) will be defined for the target OPNFV deployment.
The part of the toolchain that executes IPMI power instructions calls into libvirt instead of
@@ -132,7 +132,7 @@ needs to be added to the ``inventory.yaml`` file.
3. Edit the following values for each node:
- - ``mac_address``: MAC of the interface that will PXE boot from Instack
+ - ``mac_address``: MAC of the interface that will PXE boot from Undercloud
- ``ipmi_ip``: IPMI IP Address
- ``ipmi_user``: IPMI username
- ``ipmi_password``: IPMI password
diff --git a/docs/installation-instructions/introduction.rst b/docs/installation-instructions/introduction.rst
index af8e03b6..25452614 100644
--- a/docs/installation-instructions/introduction.rst
+++ b/docs/installation-instructions/introduction.rst
@@ -34,7 +34,7 @@ is the same RPM included in the ISO and includes all the necessary disk
images and configuration files to execute an OPNFV deployment. Either method
will prepare a host to the same ready state for OPNFV deployment.
-``opnfv-deploy`` instantiates an RDO Manager Instack VM server using libvirt
+``opnfv-deploy`` instantiates an RDO Manager Undercloud VM server using libvirt
as its provider. This VM is then configured and used to provision the
OPNFV target deployment (3 controllers, n compute nodes). These nodes can
be either virtual or bare metal. This guide contains instructions for
diff --git a/docs/installation-instructions/verification.rst b/docs/installation-instructions/verification.rst
index a574c316..bf3356bc 100644
--- a/docs/installation-instructions/verification.rst
+++ b/docs/installation-instructions/verification.rst
@@ -1,22 +1,22 @@
Verifying the Setup
-------------------
-Once the deployment has finished, the OPNFV deployment can be accessed via the Instack node. From
-the jump host ssh to the instack host and become the stack user. Alternativly ssh keys have been
-setup such that the root user on the jump host can ssh to Instack directly as the stack user.
+Once the deployment has finished, the OPNFV deployment can be accessed via the Undercloud node. From
+the jump host ssh to the Undercloud host and become the stack user. Alternativly ssh keys have been
+setup such that the root user on the jump host can ssh to Undercloud directly as the stack user.
| ``ssh root@192.0.2.1``
| ``su - stack``
-Once connected to Instack as the stack user look for two keystone files that can be used to
+Once connected to Undercloud as the stack user look for two keystone files that can be used to
interact with the undercloud and the overcloud. Source the appropriate RC file to interact with
the respective OpenStack deployment.
-| ``source stackrc`` (undercloud / Instack)
+| ``source stackrc`` (Undercloud)
| ``source overcloudrc`` (overcloud / OPNFV)
-The contents of these files include the credentials for the administrative user for Instack and
-OPNFV respectivly. At this point both Instack and OPNFV can be interacted with just as any
+The contents of these files include the credentials for the administrative user for Undercloud and
+OPNFV respectivly. At this point both Undercloud and OPNFV can be interacted with just as any
OpenStack installation can be. Start by listing the nodes in the undercloud that were used
to deploy the overcloud.
diff --git a/docs/installation-instructions/virtualinstall.rst b/docs/installation-instructions/virtualinstall.rst
index 7232952d..c568e135 100644
--- a/docs/installation-instructions/virtualinstall.rst
+++ b/docs/installation-instructions/virtualinstall.rst
@@ -3,8 +3,8 @@ Installation High-Level Overview - Virtual Deployment
The VM nodes deployment operates almost the same way as the bare metal deploymen
t with a
-few differences. ``opnfv-deploy`` still deploys an Instack VM. In addition to t
-he Instack VM
+few differences. ``opnfv-deploy`` still deploys an Undercloud VM. In addition to t
+he Undercloud VM
a collection of VMs (3 control nodes + 2 compute for an HA deployment or 1 contr
ol node and
1 compute node for a Non-HA Deployment) will be defined for the target OPNFV dep
@@ -40,7 +40,7 @@ the configuration nessesary to deploy OPNFV with no modifications.
If no modifications are made to the included configurations the target environment
will deploy with the following architecture:
- - 1 Instack VM
+ - 1 Undercloud VM
- The option of 3 control and 2 compute VMs (HA Deploy / default)
or 1 control and 1 compute VM (Non-HA deploy / pass -n)
@@ -52,7 +52,7 @@ Follow the steps below to execute:
1. ``sudo opnfv-deploy --virtual [ --no-ha ]``
-2. It will take approximately 30 minutes to stand up instack,
+2. It will take approximately 30 minutes to stand up Undercloud,
define the target virtual machines, configure the deployment and execute the deployment.
You will notice different outputs in your shell.
diff --git a/lib/common-functions.sh b/lib/common-functions.sh
index 0b1eb7d2..af9b7103 100644
--- a/lib/common-functions.sh
+++ b/lib/common-functions.sh
@@ -212,7 +212,7 @@ function find_usable_ip_range {
}
##generates usable IP range in correct format based on CIDR
-##assumes the first 20 IPs are used (by instack or otherwise)
+##assumes the first 20 IPs are used (by undercloud or otherwise)
##params: cidr
function generate_usable_ip_range {
local first_ip first_block_ip last_block_ip
@@ -231,7 +231,7 @@ function generate_usable_ip_range {
fi
}
-##find the instack IP address
+##find the undercloud IP address
##finds first usable IP on subnet
##params: interface
function find_provisioner_ip {
@@ -246,7 +246,7 @@ function find_provisioner_ip {
echo $(increment_ip ${interface_ip} 1)
}
-##generates instack IP address based on CIDR
+##generates undercloud IP address based on CIDR
##params: cidr
function generate_provisioner_ip {
local provisioner_ip
diff --git a/lib/installer/onos/onos_gw_mac_update.sh b/lib/installer/onos/onos_gw_mac_update.sh
index 323021db..93e63c8e 100644
--- a/lib/installer/onos/onos_gw_mac_update.sh
+++ b/lib/installer/onos/onos_gw_mac_update.sh
@@ -21,9 +21,9 @@ function onos_update_gw_mac {
if [ -z "$UNDERCLOUD" ]; then
#if not found then dnsmasq may be using leasefile-ro
- instack_mac=$(virsh domiflist instack | grep default | \
+ undercloud_mac=$(virsh domiflist undercloud | grep default | \
grep -Eo "[0-9a-f\]+:[0-9a-f\]+:[0-9a-f\]+:[0-9a-f\]+:[0-9a-f\]+:[0-9a-f\]+")
- UNDERCLOUD=$(/usr/sbin/arp -e | grep ${instack_mac} | awk {'print $1'})
+ UNDERCLOUD=$(/usr/sbin/arp -e | grep ${undercloud_mac} | awk {'print $1'})
fi
# get controller ip address
controller_ip=$(ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI